Subject: [xml2rfc-dev] -01 of draft-iab-rfc7991bis published

From: Paul Hoffman <[email-masked]>
Date: Fri, 19 Oct 2018 18:00:42 +0000

The following represents a bunch of issues from the list that have been accepted. The announcement is below, followed by a diff of the XML.

The next draft will likely not be until after the IETF meeting in Bangkok. In the meantime, I will be doing more pull requests for the recently-closed issues, and updating the tools a bit.

Comments are welcome, of course.

--Paul Hoffman

A New Internet-Draft is available from the on-line Internet-Drafts directories. 
This draft is a work item of the Internet Architecture Board IETF of the IETF. 

Title : The "xml2rfc" version 3 Vocabulary 
Author : Paul Hoffman 
Filename : draft-iab-rfc7991bis-01.txt 
Pages : 160 
Date : 2018-10-19 

Abstract: 
This document defines the "xml2rfc" version 3 vocabulary: an XML- 
based language used for writing RFCs and Internet-Drafts. It is 
heavily derived from the version 2 vocabulary that is also under 
discussion. This document obsoletes the earlier v3 grammar described 
in RFC 7991, which in turn obsoleted the v2 grammar in RFC 7749. 

Editorial Note (To be removed by RFC Editor) 

Discussion of this draft takes place on the [email-masked] 
mailing list, which has its home page at 
<https://www.ietf.org/mailman/listinfo/xml2rfc-dev>. 

The IETF datatracker status page for this draft is: 
https://datatracker.ietf.org/doc/draft-iab-rfc7991bis/

There are also htmlized versions available at: 
https://tools.ietf.org/html/draft-iab-rfc7991bis-01
https://datatracker.ietf.org/doc/html/draft-iab-rfc7991bis-01

A diff from the previous version is available at: 
https://www.ietf.org/rfcdiff?url2=draft-iab-rfc7991bis-01

diff --git a/draft-iab-rfc7991bis.xml b/draft-iab-rfc7991bis.xml
index c4a63da..0959d36 100644
--- a/draft-iab-rfc7991bis.xml
+++ b/draft-iab-rfc7991bis.xml
@@ -170,7 +170,18 @@ and this document.
 
 <t>Changed the text about what this draft obsoletes and updates.</t>
 
-<t>[[ More will be added here as the draft progresses. ]]</t>
+<t>Allow &lt;blockquote&gt; as a child of &lt;li&gt;.</t>
+
+<t>Removed "It is an error to have both a "src" attribute and content in the &lt;artwork&gt; element."
+from <xref target="element.artwork.attribute.src"/>.</t>
+
+<t>Removed &lt;br&gt; from the vocabulary.</t>
+
+<t>Changed the "hanging" attribute of &lt;dl&gt; to "newline".</t>
+
+<t>Added the "indent" attribute to &lt;dl&gt;.</t>
+
+<t>Added the "align" attribute to &lt;table&gt;.</t>
 
 </list></t>
 
@@ -228,7 +239,7 @@ as STDs and BCPs.</t>
 
 <t>Add &lt;<x:ref>link</x:ref>&gt; to point to a resource related to the RFC.</t>
 
-<t>Add &lt;<x:ref>br</x:ref>&gt; to allow line breaks (but not blank lines) in the generated output
+<t>Add &lt;br&gt; to allow line breaks (but not blank lines) in the generated output
 for table cells.</t>
 
 <t>Add &lt;<x:ref>svg</x:ref>&gt; to allow easy inclusion of SVG drawings in &lt;<x:ref>artwork</x:ref>&gt;.</t>
@@ -783,9 +794,6 @@ See <xref target="cdata.and.escaping"/> for a description of how to deal with is
          In some cases, the prep tool may remove the "src" attribute after processing its value.
          See <xref target="RFC7998"/> for a description of this.
       </t>
-      <t>
-         It is an error to have both a "src" attribute and content in the &lt;artwork&gt; element.
-      </t>
    </section>
 
    <!--artwork/@type-->
@@ -1106,7 +1114,7 @@ See <xref target="cdata.and.escaping"/> for a description of how to deal with is
    <t>
       Specifies that a block of text is a quotation.
    </t>
-   <t><!--AG-->This element appears as a child element of &lt;<x:ref>section</x:ref>&gt; (<xref target="element.section"/>).</t>
+   <t><!--AG-->This element appears as a child element of &lt;<x:ref>li</x:ref>&gt; (<xref target="element.li"/>) and &lt;<x:ref>section</x:ref>&gt; (<xref target="element.section"/>).</t>
    <t anchor="element.blockquote.contents"><!--AG-->
       <xref format="none" target="grammar.blockquote">Content model</xref>:
     </t>
@@ -1244,23 +1252,6 @@ See <xref target="cdata.and.escaping"/> for a description of how to deal with is
       
 </section>
 
-<!--br-->
-<section xmlns:x="http://purl.org/net/xml2rfc/ext" anchor="element.br">
-   <name>
-      <tt>&lt;br&gt;</tt>
-   </name>
-   <x:anchor-alias value="br"/>
-   <iref item="Elements" subitem="br" primary="true"/>
-   <iref item="br element" primary="true"/>
-   <t>
-      Indicates that a line break should be inserted in the generated output by a formatting tool.
-      Multiple successive instances of this element are ignored.
-   </t>
-   <t><!--AG-->This element appears as a child element of &lt;<x:ref>td</x:ref>&gt; (<xref target="element.td"/>) and &lt;<x:ref>th</x:ref>&gt; (<xref target="element.th"/>).</t>
-   <t anchor="element.br.contents"><!--AG-->
-      <xref format="none" target="grammar.br">Content model</xref>: this element does not have any contents.</t>
-</section>
-
 <!--city-->
 <section xmlns:x="http://purl.org/net/xml2rfc/ext" anchor="element.city">
    <name>
@@ -1712,15 +1703,31 @@ See <xref target="cdata.and.escaping"/> for a description of how to deal with is
       </t>
    </section>
 
-   <!--dl/@hanging-->
-   <section anchor="element.dl.attribute.hanging" toc="exclude">
-      <name>"hanging" Attribute</name>
-      <iref item="Attributes" subitem="hanging"/>
-      <iref item="dl element" subitem="hanging attribute"/>
-      <iref item="hanging attribute" subitem="in dl element"/>
+   <!--dl/@indent-->
+   <section anchor="element.dl.attribute.indent" toc="exclude">
+      <name>"indent" Attribute</name>
+      <iref item="Attributes" subitem="indent"/>
+      <iref item="dl element" subitem="indent attribute"/>
+      <iref item="indent attribute" subitem="in dl element"/>
       <t>
-         The "hanging" attribute defines whether or not the term appears on the same line as the definition.
-         hanging="true" indicates that the term is to the left of the definition, while hanging="false"
+         Indicates the indentation to be used for the rendering of the second and
+         following lines of the item (the first line starts with the term, and is not indented).
+         The indentation amount is interpreted as characters when rendering
+         plain-text documents, and en-space units when rendering in formats that have
+         richer typographic support such as HTML or PDF.
+         One en-space is assumed to be the length of 0.5 em-space in CSS units.
+      </t>
+   </section>
+
+   <!--dl/@newline-->
+   <section anchor="element.dl.attribute.newline" toc="exclude">
+      <name>"newline" Attribute</name>
+      <iref item="Attributes" subitem="newline"/>
+      <iref item="dl element" subitem="newline attribute"/>
+      <iref item="newline attribute" subitem="in dl element"/>
+      <t>
+         The "newline" attribute defines whether or not the term appears on the same line as the definition.
+         newline="true" indicates that the term is to the left of the definition, while newline="false"
          indicates that the term will be on a separate line.
       </t>
       <t><!--AG-->Allowed values:</t>
@@ -2324,6 +2331,9 @@ See <xref target="cdata.and.escaping"/> for a description of how to deal with is
             <li><!--AG-->
                <iref item="Elements" subitem="artwork"/>
                <iref item="artwork element" subitem="inside li"/>&lt;<x:ref>artwork</x:ref>&gt; elements (<xref target="element.artwork"/>)</li>
+            <li><!--AG-->
+               <iref item="Elements" subitem="blockquote"/>
+               <iref item="blockquote element" subitem="inside li"/>&lt;<x:ref>blockquote</x:ref>&gt; elements (<xref target="element.blockquote"/>)</li>
             <li><!--AG-->
                <iref item="Elements" subitem="dl"/>
                <iref item="dl element" subitem="inside li"/>&lt;<x:ref>dl</x:ref>&gt; elements (<xref target="element.dl"/>)</li>
@@ -4465,6 +4475,25 @@ See <xref target="cdata.and.escaping"/> for a description of how to deal with is
       
    </ol>
 
+   <!--table/@align-->
+   <section anchor="element.table.attribute.align" toc="exclude">
+      <name>"align" Attribute</name>
+      <iref item="Attributes" subitem="align"/>
+      <iref item="table element" subitem="align attribute"/>
+      <iref item="align attribute" subitem="in table element"/>
+      <t><!--AG-->
+        Controls whether the table appears left justified, centered (default),
+        or right justified.
+        Tables are aligned relative to the left margin of the document.
+      </t>
+      <t><!--AG-->Allowed values:</t>
+      <ul><!--AG-->
+         <li>"left"</li>
+         <li>"center" (default)</li>
+         <li>"right"</li>
+      </ul>
+   </section>
+
    <!--table/@anchor-->
    <section anchor="element.table.attribute.anchor" toc="exclude">
       <name>"anchor" Attribute</name>
@@ -4563,9 +4592,6 @@ See <xref target="cdata.and.escaping"/> for a description of how to deal with is
             <li><!--AG-->
                <iref item="Elements" subitem="bcp14"/>
                <iref item="bcp14 element" subitem="inside td"/>&lt;<x:ref>bcp14</x:ref>&gt; elements (<xref target="element.bcp14"/>)</li>
-            <li><!--AG-->
-               <iref item="Elements" subitem="br"/>
-               <iref item="br element" subitem="inside td"/>&lt;<x:ref>br</x:ref>&gt; elements (<xref target="element.br"/>)</li>
             <li><!--AG-->
                <iref item="Elements" subitem="cref"/>
                <iref item="cref element" subitem="inside td"/>&lt;<x:ref>cref</x:ref>&gt; elements (<xref target="element.cref"/>)</li>
@@ -4743,9 +4769,6 @@ See <xref target="cdata.and.escaping"/> for a description of how to deal with is
             <li><!--AG-->
                <iref item="Elements" subitem="bcp14"/>
                <iref item="bcp14 element" subitem="inside th"/>&lt;<x:ref>bcp14</x:ref>&gt; elements (<xref target="element.bcp14"/>)</li>
-            <li><!--AG-->
-               <iref item="Elements" subitem="br"/>
-               <iref item="br element" subitem="inside th"/>&lt;<x:ref>br</x:ref>&gt; elements (<xref target="element.br"/>)</li>
             <li><!--AG-->
                <iref item="Elements" subitem="cref"/>
                <iref item="cref element" subitem="inside th"/>&lt;<x:ref>cref</x:ref>&gt; elements (<xref target="element.cref"/>)</li>
@@ -7118,7 +7141,7 @@ namespace a = "http://relaxng.org/ns/compatibility/annotations/1.0"
     attribute xml:lang { text }?,
     attribute anchor { xsd:ID }?,
     attribute pn { text }?,
-    ((artwork | dl | figure | ol | sourcecode | t | ul)+
+    ((artwork | blockquote | dl | figure | ol | sourcecode | t | ul)+
      | (text
         | bcp14
         | cref
@@ -7141,7 +7164,8 @@ namespace a = "http://relaxng.org/ns/compatibility/annotations/1.0"
     [ a:defaultValue = "normal" ]
     attribute spacing { "normal" | "compact" }?,
     [ a:defaultValue = "true" ]
-    attribute hanging { "false" | "true" }?,
+    attribute newline { "false" | "true" }?,
+    [ a:defaultValue = "0" ] attribute indent { text }?,
     attribute pn { text }?,
     (dt, dd)+
   }
@@ -7372,6 +7396,8 @@ namespace a = "http://relaxng.org/ns/compatibility/annotations/1.0"
   element table {
     attribute xml:base { text }?,
     attribute xml:lang { text }?,
+    [ a:defaultValue = "center" ]
+    attribute align { "left" | "center" | "right" }?,
     attribute anchor { xsd:ID }?,
     attribute pn { text }?,
     name?,
@@ -7478,7 +7504,6 @@ include "svg.rnc"
     ((artwork | dl | figure | ol | sourcecode | t | ul)+
      | (text
         | bcp14
-        | br
         | cref
         | em
         | eref
@@ -7503,7 +7528,6 @@ include "svg.rnc"
     ((artwork | dl | figure | ol | sourcecode | t | ul)+
      | (text
         | bcp14
-        | br
         | cref
         | em
         | eref
@@ -7566,13 +7590,6 @@ include "svg.rnc"
     text
   }
 
-<strong anchor="grammar.br">br</strong><iref item="br element"/> =
-  element br {
-    attribute xml:base { text }?,
-    attribute xml:lang { text }?,
-    empty
-  }
-
 <strong anchor="grammar.back">back</strong><iref item="back element"/> =
   element back {
     attribute xml:base { text }?,
@@ -8103,7 +8120,8 @@ to the v3 schema.</t>
 +     attribute xml:lang { text }?,
 +     attribute anchor { xsd:ID }?,
 +     attribute pn { text }?,
-+     ((artwork | dl | figure | ol | sourcecode | t | ul)+
++     ((artwork | blockquote | dl | figure | ol | sourcecode | t | 
++ ul)+
 +      | (text
 +         | bcp14
 +         | cref
@@ -8125,7 +8143,8 @@ to the v3 schema.</t>
 +     [ a:defaultValue = "normal" ]
 +     attribute spacing { "normal" | "compact" }?,
 +     [ a:defaultValue = "true" ]
-+     attribute hanging { "false" | "true" }?,
++     attribute newline { "false" | "true" }?,
++     [ a:defaultValue = "0" ] attribute indent { text }?,
 +     attribute pn { text }?,
 +     (dt, dd)+
 +   }
@@ -8347,6 +8366,8 @@ to the v3 schema.</t>
 +   element table {
 +     attribute xml:base { text }?,
 +     attribute xml:lang { text }?,
++     [ a:defaultValue = "center" ]
++     attribute align { "left" | "center" | "right" }?,
 +     attribute anchor { xsd:ID }?,
 +     attribute pn { text }?,
 +     name?,
@@ -8450,7 +8471,6 @@ to the v3 schema.</t>
 +     ((artwork | dl | figure | ol | sourcecode | t | ul)+
 +      | (text
 +         | bcp14
-+         | br
 +         | cref
 +         | em
 +         | eref
@@ -8474,7 +8494,6 @@ to the v3 schema.</t>
 +     ((artwork | dl | figure | ol | sourcecode | t | ul)+
 +      | (text
 +         | bcp14
-+         | br
 +         | cref
 +         | em
 +         | eref
@@ -8534,12 +8553,6 @@ to the v3 schema.</t>
     }
 - c = element c { (text | xref | eref | iref | cref | spanx)* }
 - back = element back { references*, section* }
-+ br =
-+   element br {
-+     attribute xml:base { text }?,
-+     attribute xml:lang { text }?,
-+     empty
-+   }
 + back =
 +   element back {
 +     attribute xml:base { text }?,